#
# spec file for package perl-VACM (Version 0.01cvs)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  vacm-clientlib vacm-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vacm-clientlib vacm-devel vim

Name:         perl-VACM
Summary:      Perl Interface for VA Cluster Manager (VACM)
Version:      0.01cvs
Release:      117
Copyright: GPL
Group: Development/Libraries/Perl
Prefix: /usr
URL: http://vacm-perl.sourceforge.net
Requires: perl >= 5.004, vacm >= 2.0
Buildroot: %{_tmppath}/%{name}-%{version}-root
Source: http://vacm-perl.sourceforge.net/download/vacm-perl-%{version}.tar.bz2
Patch: vacm-perl-0.01.dif

%description
Perl Interface for VA Cluster Manager (VACM)

Authors:
--------
    Zac Sprackett<zacs at users.sourceforge.net>

SuSE series: perl

%prep
%setup -n vacm-perl-%{version}
%patch

%build
perl Makefile.PL
make OPTIMIZE="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
rm $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
find $RPM_BUILD_ROOT/usr/lib/ -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{name}-%{version}-filelist
 

%files -f %{name}-%{version}-filelist
%doc scripts
%defattr(-,root,root)
/var/adm/perl-modules/%{name}
/usr/share/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n perl-VACM
* Thu Apr 12 2001 - nashif@suse.de
- Fix neededforbuild: vacm-lib -> vacm-clientlib
* Mon Apr 09 2001 - schwab@suse.de
- Fix neededforbuild.
* Sun Apr 08 2001 - nashif@suse.de
- Initial release (0.01 cvs)
